# Method: series.getSeriesMetrics

**Full name**: projects.locations.datasets.dicomStores.dicomWeb.studies.series.getSeriesMetrics

series.getSeriesMetrics returns metrics for a series.

### HTTP request

`GET https://healthcare.googleapis.com/v1/{series=projects/*/locations/*/datasets/*/dicomStores/*/dicomWeb/studies/*/series/*}:getSeriesMetrics`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `series` | `string` Required. The series resource path. For example, `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/dicomStores/{dicomStoreId}/dicomWeb/studies/{studyUid}/series/{seriesUid}`. |

### Request body

The request body must be empty.

### Response body

SeriesMetrics contains metrics describing a DICOM series.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "series": string, "structuredStorageSizeBytes": string, "blobStorageSizeBytes": string, "instanceCount": string } ``` |

| Fields ||
|---|---|
| `series` | `string` The series resource path. For example, `projects/{projectId}/locations/{locationId}/datasets/{datasetId}/dicomStores/{dicomStoreId}/dicomWeb/studies/{studyUid}/series/{seriesUid}`. |
| `structuredStorageSizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Total structured storage bytes for all instances in the series. |
| `blobStorageSizeBytes` | `string (https://developers.google.com/discovery/v1/type-format format)` Total blob storage bytes for all instances in the series. |
| `instanceCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Number of instances in the series. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-healthcare`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).